sources:
  # this defines available data sources and signals.
  # source: data stream on a topic, may be text or json
  # signal: single float value
  - name: feedback
    topic: "/fbk"
    type: "json"
    # make data from dict available as signals for plots etc.
    signals: ["angle", "acceleration", "velocity"]

  - name: position
    topic: "/gps"
    type: "json"
    signals: ["lat", "lon"]

  - name: logging
    topic: "/log"
    type: "txt" # txt does not have signals, it's just a string

  - name: cam0
    topic: "/cam0"

plots:
  - plot:
      timeLength: "60s"
      yAxisScale: "automatic"
      signals: "velocity"
  - plot:
      timeLength: "5s"
      yAxisScale: [0, 100]
      signals: ["angle", "acceleration"] # multiple plots

tables:
  table:
    source: feedback # display all fields from this source as a table

maps:
  robotPosition:
    mapLayer: "default_map_layer"
    source: position

cameras:
  - camera:
      source: "cam0"

interactiveElements:
  buttons:
    - name: "Button1"
      action: "backend_function_1"
    - name: "Button2"
      action: "backend_function_2"
